Get messages for an email thread
curl --request GET \
--url https://prod.featherhq.com/api/v1/email/threads/{threadId}/messages \
--header 'X-API-Key: <api-key>'import requests
url = "https://prod.featherhq.com/api/v1/email/threads/{threadId}/messages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://prod.featherhq.com/api/v1/email/threads/{threadId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thread": {
"id": "<string>",
"agentId": "<string>",
"agentVersionId": "<string>",
"organizationId": "<string>",
"toEmail": "<string>",
"fromEmail": "<string>",
"fromName": "<string>",
"subject": "<string>",
"isActive": true,
"reopenedAt": "<string>",
"messages": [
{
"id": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"fromAddress": "<string>",
"toAddress": "<string>",
"ccAddresses": "<string>",
"subject": "<string>",
"inReplyTo": "<string>",
"bodyText": "<string>",
"bodyHtml": "<string>",
"providerMessageId": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"bounceType": "<string>",
"sentAt": "<string>",
"deliveredAt": "<string>",
"openedAt": "<string>",
"bouncedAt": "<string>",
"classification": "<string>",
"classificationScore": 123,
"classifiedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"pagination": {
"limit": 10,
"nextCursor": "<string>"
}
}
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Email
Get messages for an email thread
Get messages for a specific email thread with cursor-based pagination
GET
/
api
/
v1
/
email
/
threads
/
{threadId}
/
messages
Get messages for an email thread
Authorizations
Path Parameters
Query Parameters
Available options:
INBOUND, OUTBOUND Available options:
QUEUED, SENDING, SENT, DELIVERED, OPENED, BOUNCED, FAILED, SPAM, RECEIVED, DRAFT Response
Email thread messages
Show child attributes
Show child attributes
⌘I